from menu import Menu, MenuType
from cinput import ControlInput
from graphics import Graphics

class MusicPlayer:
    def __init__(self, cinput: ControlInput, graphics: Graphics, menu: Menu):
        self._cinput = cinput
        self._graphics = graphics
        self._menu = menu

    def run(self):
        while True:
            item = self._menu.get_selection()
            if item.menu_type == MenuType.BACK:
                return
